# setJvmArgs

abstract fun setJvmArgs(arguments: List<String>)

Sets the extra arguments to use to launch the JVM for the process. System properties and minimum/maximum heap size are updated.

#### Since

4.0

#### Parameters

arguments

The arguments. Must not be null.

abstract fun setJvmArgs(arguments: Iterable<out Any>)

Sets the extra arguments to use to launch the JVM for the process. System properties and minimum/maximum heap size are updated.

#### Parameters

arguments

The arguments. Must not be null.